gnutls_pem_base64_decode(3)

NAME
gnutls_pem_base64_decode

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pem_base64_decode(const char * header, const gnutls_datum_t * b64_data, unsigned char * result, size_t * result_size);

ARGUMENTS

const char * header
    A null terminated string with the PEM header (eg. CERTIFICATE)

const gnutls_datum_t * b64_data
    contain the encoded data

unsigned char * result
    the place where decoded data will be copied

size_t * result_size
    holds the size of the result

DESCRIPTION
This function will decode the given encoded data. If the header given is non null this function will search for "-----BEGIN header" and decode only this part. Otherwise it will decode the first PEM packet found. Returns GNUTLS_E_SHORT_MEMORY_BUFFER if the buffer given is not long enough, or 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.